#define STARTPROG	"\t\tPlease wait while model is running...."
#define	ENDPROG		"The program is complete.  "

#define AMATRIX1	"A-Matrix Diagonals"
#define	AMATRIX2	"   Lower      Middle     Upper  "
#define AMATRIX3	"End of A-matrix.  Press <Enter> to continue..."

#define ITEMP1		"Depth           T(K):  Initial Temperature Distribution"
#define ITEMP2		"End of Initial Node Temperatures.  Press <Enter> to continue..."
#define ITEMP3		"\tPlease wait while temperature distribution is generated..."

#define MEMERROR1	"\nThere is not enough memory in your PC\n to store the full temperature distribution matrix.\r\n"
#define MEMERROR2	"\nThe matrix was created in memory; however,\n there is no room for pointers to the rows.\r\n"

#define MAINERROR1	"OUTPUT.TXT could not be opened or created\r\n"
#define MAINERROR2	"VERBOSE was not correctly #defined\r\n"
#define MAINERROR3	"No Left Boundary Condition was found.\r\n"
#define MAINERROR4	"No Right Boundary Condition was found.\r\n"
#define	MAINERROR5	"BurnInjury() returned an invalid value of Omega to Main()."
#define NOMEGA1		"Omega>1 for all nodes.\r\n\r\n"
#define NOMEGA2		"Omega<1 for all nodes.\r\n\r\n"

#define MEMCHECK1	"\nTo remedy this, reduce the number of nodes, time steps or both.\r\n"
#define MEMCHECK2	"\nTo remedy this, reduce the number of nodes, time steps or both.\r\n"
#define MAINCHECK1	"Make sure the data directory, appended to the call line\n to run this program, exists.\r\n\r\n"
#define	MAINCHECK2	"Make sure the third input line in DATA.DAT is set to either 1 or 0."
#define MAINCHECK3	"LBC: line-input in DATA.DAT should be CONVECTION, FLUX, OR TEMPERATURE.  Hit <Enter> to exit..."
#define MAINCHECK4	"RBC: line-input in DATA.DAT should be CONVECTION, FLUX, OR TEMPERATURE.  Hit <Enter> to exit..."

#define STARTOMEGA  "\tThe Burn Injury parameter, Omega, will be calculated."

#define	GETDATAERR	"Exiting Burn Model"
#define DATAERROR1	"DATA.DAT Line 1 input must be greater than zero and less than \n(Time Steps*delta-t)."
#define DATAERROR2	"DATA.DAT Line 2 input must be between 1 and NODES."
#define DATAERROR3	"DATA.DAT Line 3 input must be set to either 1 or 0."
#define DATAERROR4	"DATA.DAT Line 4 input must be set to either 1 or 0."
#define DATAERROR5	"DATA.DAT Line 5 input must be set to either 1 or 0."
#define DATAERROR6	"DATA.DAT Line 6 input must be set to either 1 or 0."
#define DATAERROR7	"DATA.DAT Line 7 input must be set to either 1 or 0."
#define DATAERROR8	"DATA.DAT Line 1 must be set to 0 if Line 6 is set to 1."
#define DATAERROR9	"The number of Initial Node Temperature data-pairs must be greater than or equal to zero.\r\n"
#define DATAERROR10	"The number of data pairs must be -1, 0, or a positive integer.\r\n"
#define DATAERROR11	"An external data file call cannot be followed by rows of data.\r\n"

#define DATACHECK1	"If this is correct press the <Enter> key to continue or <Ctrl>-C to quit"
#define DATACHECK2	"\r\nPlease make the appropriate changes to LEFTIMP.DAT\r\n"
#define DATACHECK3	"Check DATA.DAT for pairs of data following a 0 code integer.\r\n"

#define INTERPERR1	"Initial node temperatures are not specified for the entire depth of the model."
#define INTERPERR2	"Node conductivities are not specified for the entire depth of the model."
#define INTERPERR3	"Node heat capacities are not specified for the entire depth of the model."
#define INTERPERR4	"Node densities are not specified for the entire depth of the model."
#define INTERPERR5	"Left boundary conditions are not specified for the total time of the model."
#define INTERPERR6	"Left-side ambient temperatures are not specified for the total time of the model."
#define INTERPERR7	"Right boundary conditions are not specified for the total time of the model."
#define INTERPERR8	"Right-side ambient temperatures are not specified for the total time of the model."
#define INTERPCHK1	"Make sure to supply enough data to characterize at least the total depth of the model."
#define INTERPCHK2	"Make sure to supply enough data to characterize at least the total time of the model."

#define OFFERROR1	"Offaxis Spacing is limited to the values greater than zero.\r\n"

#define READERROR1	"The number of data pairs read"
#define READERROR2	"is different from the number of data pairs specified"

#define	FOURIERROR	"Fourier Numbers could not be generated"
#define	INTNODERROR	"A-Matrix interior node values could not be generated"

#define	NOINITTEMP	"\r\n INITTEMP.DAT could not be found... \r\n"	
#define	NOCONDUCT	"\r\n CONDUCT.DAT could not be found... \r\n"
#define NOHEATCAP	"\r\n HEATCAP.DAT could not be found... \r\n"
#define NODENSITY	"\r\n DENSITY.DAT could not be found... \r\n"
#define NOLBC		"\r\n LEFTBC.DAT could not be found... \r\n"
#define NOLEFTIMP	"\r\n LEFTIMP.DAT could not be found... \r\n"
#define NOLEFTAMB	"\r\n LEFTAMB.DAT could not be found... \r\n"
#define NORBC		"\r\n RIGHTBC.DAT could not be found... \r\n"
#define NORIGHTAMB	"\r\n RIGHTAMB.DAT could not be found... \r\n"
#define NOGASPROP	"\r\n GASPROP.DAT could not be found... \r\n"
#define CONVECTERR	"Node-0 and Last-Node Convection calculations failed"
#define FLUXERROR	"Node-0 and Last-Node Flux calculations failed"

#define ONERROR1	"On-axis Nusselt number could not be calculated.\r\n"
#define INTERROR1	"No Switch could be made based on a Boundary Condition.  \r\n"
#define INTCHECK1	"Make sure all input parameter names in DATA.DAT are in ALL CAPS and spelled correctly.\r\n"

#define	BURNERR1	"\r\n\r\n\t*** Calculation of the Burn Injury Integral ***\r\n\r\n"
#define	BURNERR2	"Please continue to wait..."	
#define BURNERR3	"Due to potential floating point error, Omega should be hand calculated\n"
#define BURNERR4	"by evaluating the following expression:\r\n"

#define BLANKLINE	"\r\n"
#define ENDOUTPUT	"Output file created.  Press <Enter> to continue. "
#define VERBOSERROR "VERBOSE was not correctly inputted"
#define	ENDOFSEG	"Press <Ctrl>-C to quit or <Enter> to proceed...."